<?php

// Class criada com o propósito de armazenar informações de variaveis da exceção para serem retornadas em um ojeto Zeedhi\Framework\DTO\Response\Message

namespace Ems\Exception;

class CustomException extends \Exception {
    protected $variables;
    
    public function __construct($message, $variables = null, $code = 0, Exception $previous = null) {
        $this->variables = $variables;
        
        parent::__construct($message, $code, $previous);
    }
    
    public function getVariables() {
        return $this->variables;
    }
    
    public function setVariables($variables) {
        $this->variables = $variables;
    }
}

